<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <TargetFrameworks>netcoreapp3.1;net5.0-windows7.0</TargetFrameworks>
    <UseWindowsForms>true</UseWindowsForms>
    <OutputType>WinExe</OutputType>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
	  <DesignerDir>..\..\EndUserDesigner</DesignerDir>
    <Configurations>Debug;Release;Community</Configurations>
    
    <Optimize>true</Optimize>
    <ApplicationIcon>$(DesignerDir)\app.ico</ApplicationIcon>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Designer</RootNamespace>
    <AssemblyName>Designer</AssemblyName>
  </PropertyGroup>


  <PropertyGroup>
    <DefineConstants>DOTNET_4;TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <DefineConstants>$(DefineConstants);DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Community|AnyCPU'">
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  
  <ItemGroup>
    <Compile Include="$(DesignerDir)\**\*.cs" Exclude="$(DesignerDir)\obj\**\*.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\FastReport\FastReport.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="$(DesignerDir)\app.ico" />
  </ItemGroup>

</Project>